package com.emato.ich.entity.vo;


import org.jetbrains.annotations.NotNull;

/**
 * 异常信息
 */
public class ExceptionVo {

    private String reportType;

    private String reportData;

    private String clientId;

    private String reportTime;

    public String getReportType() {
        return reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }

    public String getReportData() {
        return reportData;
    }

    public void setReportData(String reportData) {
        this.reportData = reportData;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getReportTime() {
        return reportTime;
    }

    public void setReportTime(String reportTime) {
        this.reportTime = reportTime;
    }

    @NotNull
    @Override
    public String toString() {
        return "ExceptionVo{" +
                "reportType='" + reportType + '\'' +
                ", reportData='" + reportData + '\'' +
                ", clientId='" + clientId + '\'' +
                ", reportTime='" + reportTime + '\'' +
                '}';
    }
}
